### Hierarchy

- unknown
  - SetWalletPasswordRequest

## Index

### Constructors

- constructor

### Methods

- getNewPassword
- getPassword
- serializeBinary
- setNewPassword
- setPassword
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new SetWalletPasswordRequest(): SetWalletPasswordRequest

- Inherited from jspb.Message.constructor

  #### Returns SetWalletPasswordRequest

## Methods

### getNewPassword

- getNewPassword(): string

- - Defined in src/protobuf/grpc_pb.d.ts:3585

  #### Returns string

### getPassword

- getPassword(): string

- - Defined in src/protobuf/grpc_pb.d.ts:3582

  #### Returns string

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:3588

  #### Returns Uint8Array

### setNewPassword

- setNewPassword(value: string): SetWalletPasswordRequest

- - Defined in src/protobuf/grpc_pb.d.ts:3586

  #### Parameters

  - ##### value: string

  #### Returns SetWalletPasswordRequest

### setPassword

- setPassword(value: string): SetWalletPasswordRequest

- - Defined in src/protobuf/grpc_pb.d.ts:3583

  #### Parameters

  - ##### value: string

  #### Returns SetWalletPasswordRequest

### toObject

- toObject(includeInstance?: boolean): SetWalletPasswordRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:3589

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns SetWalletPasswordRequest . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): SetWalletPasswordRequest

- - Defined in src/protobuf/grpc_pb.d.ts:3592

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns SetWalletPasswordRequest

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: SetWalletPasswordRequest, reader: BinaryReader): SetWalletPasswordRequest

- - Defined in src/protobuf/grpc_pb.d.ts:3593

  #### Parameters

  - ##### message: SetWalletPasswordRequest

  - ##### reader: BinaryReader

  #### Returns SetWalletPasswordRequest

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: SetWalletPasswordRequest, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:3591

  #### Parameters

  - ##### message: SetWalletPasswordRequest

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: SetWalletPasswordRequest ): SetWalletPasswordRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:3590

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: SetWalletPasswordRequest

  #### Returns SetWalletPasswordRequest . AsObject

Generated using TypeDoc